Commits

Sorin Sbarnea committed 8e70646 Draft

Added few more ignores, modified pom.xml to use the latest release of Jira instead of hardcoding to a specific version. Added compile utility script.

Comments (0)

Files changed (4)

+target
+.idea/libraries
+.idea/workspace.xml
+#!/bin/bash
+source setenv
+PARAM=
+
+atlas-compile -v >/dev/null 2>&1 || echo "atlasian-sdk not installed, get it from https://developer.atlassian.com/display/DOCS/Atlassian+Plugin+SDK+Documentation and assure that its bin directory is in PATH."
+
+atlas-compile $PARAM
+if [ $? -gt 0 ]; then
+    echo "ERROR!"
+    exit 2
+fi
+
+atlas-package $PARAM
+
+if [ $? -gt 0 ]; then
+    echo "ERROR!"
+    exit 2
+fi
+
+#atlas-integration-test $PARAM
+
+if [ $? -gt 0 ]; then
+    echo "ERROR!"
+    exit 2
+fi
+
+#mkdir -p .target
+#rm .target/*.jar
+#cp -a */target/*.jar .target/
+
+#atlas-release $PARAM
+
     <modelVersion>4.0.0</modelVersion>
     <groupId>com.onresolve.jira.groovy</groupId>
     <artifactId>groovyrunner</artifactId>
-    <version>2.0.7</version>
+    <version>2.0.8</version>
 
     <organization>
         <name>OnResolve Ltd</name>
         <dependency>
             <groupId>org.codehaus.groovy</groupId>
             <artifactId>groovy-all</artifactId>
-            <classifier>scriptrunner</classifier>
+            <!--<classifier>scriptrunner</classifier>-->
             <version>${groovy.version}</version>
             <scope>compile</scope>
         </dependency>
     </build>
 
     <properties>
-        <jira.version>4.4</jira.version>
-        <amps.version>3.7.3</amps.version>
-        <groovy.version>1.8.5</groovy.version>
+        <jira.version>RELEASE</jira.version>
+        <amps.version>RELEASE</amps.version>
+        <groovy.version>RELEASE</groovy.version>
         <maven.test.skip>true</maven.test.skip>
     </properties>
 
+#!/bin/bash
+
+#dirname=`perl -e 'use Cwd "abs_path";print abs_path(shift)' ../sdk/bin`
+
+#export PATH=$dirname:$PATH
+export JIRAHOME=/var/local/jira
+export JIRAINSTALL=/opt/jira
+export MAVEN_OPTS="-Xms2048m -Xmx160m -Prelease-profile -DperformRelease=true"
+
+#export JIRA_VERSION=4.4.5
+#export JIRA_DATA_VERSION=4.4.5
+#export AMPS_VERSION=3.9.3
+
+#export JIRA_VERSION=5.1.1
+#export JIRA_DATA_VERSION=5.1
+#export AMPS_VERSION=3.10.2